[Résolu] MAJ WordPress 3.0/ Message d’erreur

  • Statut : non résolu
15 sujets de 16 à 30 (sur un total de 32)
  • Auteur
    Messages
  • #730462
    Red-rabbit
    Membre
    Maître WordPress
    688 contributions

    Le fichier .htaccess se trouve a la racine du site en principe.
    Le point indique un fichier caché que tu peux faire apparaitre sans souci avec ton client ftp

    #730463
    benkenobi
    Gestionnaire du forum
    Maître WordPress
    4080 contributions

    Le fichier wp-config.php a-t-il été écrasé dans la mise à jour ?

    #730464
    Julie Tiny
    Membre
    Initié WordPress
    10 contributions

    @ Red Rabbit: ah oui, j’ai trouvé le fichier .htaccess , effectivement, je n’y ai pas touché, à aucun moment :]
    @Ben Kenobi: je l’ai supprimé, puis remplacé (j’ai fait une sauvegarde de l’ancienne version si besoin), et je me retrouve un nouveau message d’erreur sur ma page:

    Parse error: syntax error, unexpected T_CONSTANT_ENCAPSED_STRING in /homez.349/julieniv/www/lemondedetiny/wp-config.php on line 22

    #730465
    Lumiere de Lune
    Participant
    Maître WordPress
    19385 contributions

    Essaie de remettre l’ancienne version

    #730466
    Nicdasse-Croatsky
    Membre
    Initié WordPress
    3 contributions

    Salut à tous,
    je rencontre également un problème avec la mise à jour automatique de vers la version 3.0.

    J’ai l’impression que la mise à jour ne s’est pas terminée correctement car après rafraïchissement j’obtiens le message suivant :

    Warning: require(/homez.341/nicdasse/www/wp-includes/load.php) [function.require]: failed to open stream: No such file or directory in /homez.341/nicdasse/www/wp-settings.php on line 19

    Fatal error: require() [function.require]: Failed opening required ‘/homez.341/nicdasse/www/wp-includes/load.php’ (include_path=’.:/usr/local/lib/php’) in /homez.341/nicdasse/www/wp-settings.php on line 19

    Quelqu’un a t’il une idée pour dépanner ce problème ?

    Merci

    #730467
    Clelia
    Participant
    Initié WordPress
    28 contributions

    Bonjour j’ai exactement le même soucis,

    Ma configuration WP actuelle
    – Version de WordPress : migration vers 3.0
    – Nom de l’hebergeur : OVH

    voici mon message d’erreur : Fatal error: Cannot redeclare tinymce_include() (previously declared in /homez.348/pestedem/www/wp-includes/deprecated.php:755) in /homez.348/pestedem/www/wp-admin/includes/deprecated.php on line 21

    YY a t’il une solution pour résoudre ce problème ?

    #730468
    Lumiere de Lune
    Participant
    Maître WordPress
    19385 contributions

    Avez vous fait les mises à jour manuellement en suivant exactement la procédure de mise à jour ? (sauvegarde, supprimer tous les fichiers sauf .htaccess, wp-config.php et et le répertoire wp-content, puis upload manuel de la nouvelle version)

    #730447
    Nicdasse-Croatsky
    Membre
    Initié WordPress
    3 contributions

    Non…

    J’aurais dû me méfier de la mise à jour automatique.

    Quelle est la bonne procédure dans le cas de problème avec la mise à jour automatique ? je n’ai pas envie de perdre le contenu de la BDD.

    #730446
    Julie Tiny
    Membre
    Initié WordPress
    10 contributions

    @ Lumière de Lune: j’ai bien essayé, j’ai remis les wp-config, wp-includes et autres fichiers, mais rien n’y fait! Un autre message d’erreur apparaît, qui concerne wp-blog-header.php , mais j’ai beau regarder, je ne vois pas d’erreur sur la ligne incriminée^^’ :]

    #730469
    Nicdasse-Croatsky
    Membre
    Initié WordPress
    3 contributions

    OUF ! Problème résolu. Pour rappel :

    URL : http://www.nicdasse-croatsky.fr
    Hébergeur : OVH
    Version WordPress 2.9.2
    Extensions : Akismet et lightview

    Ce matin : plantage avec la mise à jour automatique vers WP 3.0. (je n’avais pas suivi la bonne procédure : pas de sauvegarde…)

    Ce soir : j’ai réinstallé l’ancienne version en conservant les fichiers et dossiers essentiels (/content, config.php…)
    et ça a fonctionné.

    Je vais d’abord digérer cette journée flippante 🙂 et sans doute procéder à la MAJ vers la v. 3.0 en suivant la procédure décrite sur votre site et qui devrait permettre d’éviter les écueils.

    Bon courage à tous et bonne continuation !

    #730470
    Franck (fge)
    Modérateur
    Maître WordPress
    9583 contributions

    @Julie Peux-tu faire un copier/coller de la ligne en question et la ligne d’avant (sauf si c’est vraiment confidentiel) STP ?

    Pour Nicdasse-Croatsky, Clélia, A Demain : Je voudrais pas jouer les chieurs, mais ce serait sympa d’ouvrir un post individuel en remplissant les infos, les problèmes ne sont jamais complètement les mêmes.

    #730471
    Julie Tiny
    Membre
    Initié WordPress
    10 contributions

    Oui bien sûr!

    -Lorsque je tente d’installer manuellement la version 3.0:

    Parse error: syntax error, unexpected T_CONSTANT_ENCAPSED_STRING in /homez.349/julieniv/www/lemondedetiny/wp-config.php on line 22

    et donc cette fameuse ligne 22:
    define(‘DB_USER’, ‘julienivblog’);

    -Voilà la ligne incriminée lorsque je tente de repasser à la version précédente:
    wp();

    avec ce message qui apparait:

    Fatal error: Call to undefined function wp() in /homez.349/julieniv/www/lemondedetiny/wp-blog-header.php  on line 14

    🙂
    Julie

    #730472
    Lumiere de Lune
    Participant
    Maître WordPress
    19385 contributions

    et tu as bien un ; pour finir la ligne précédente ?

    #730473
    Julie Tiny
    Membre
    Initié WordPress
    10 contributions

    Oui, il y est!

    require_once( dirname(__FILE__) . ‘/wp-load.php’ );
    
    	wp();

    #730474
    designalpha
    Participant
    Initié WordPress
    1 contributions

    bonjour,

    J’ai exactement le même problème :s

    Ce matin j’ai voulu faire la maj v3 automatique et j’ai l’impression egalement qu’elle ne s’est pas terminée correctement.

    Lorsque que je veux me logguer, j’ai ce message qui apparait :

    Warning: call_user_func_array() [function.call-user-func-array]: First argumented is expected to be a valid callback, ‘__return_zero’ was given in /homez.348/designal/www/wp-includes/plugin.php on line 166

    dans le fichier plugin php, cette ligne qui correspond à :

    $value = call_user_func_array($the_, array_slice($args, 1, (int) $the_));

    et

    Fatal error: Call to undefined function: is_multisite() in /homez.348/designal/www/wp-login.php on line 85

    J’ai essayé de reinstaller la version précedente mais ca n’a pas fonctionné :s

    Pourriez-vous m’aider svp ?
    Merci beaucoup

15 sujets de 16 à 30 (sur un total de 32)
  • Vous devez être connecté pour répondre à ce sujet.